/*!
 * JavaScript usage of events
 * http://www.kaempf-nk.de/
 *
 * Copyright © 2013 kaempf-nk.de
 * Licensed under the MIT license
 * http://www.kaempf-nk.de/webseitengestaltung/js/license.txt
 *
 *
 * History: 2013-05-08 - first release
 */
$(document).ready(function($){
	$().mobileMenu();
});

(function($){
	"use strict";
	$.fn.mobileMenu = function(){
	
		var isTouchSupported = 'ontouchstart' in window;						// Feature detection
		if (isTouchSupported) {													// touch events are supported
			$('#menu-icon1').bind('touchstart mousedown', clickMenuEvent1);
			$('#menu-icon2').bind('touchstart mousedown', clickMenuEvent2);
		} else {
			$('#menu-icon1').bind('mousedown', clickMenuEvent1);
			$('#menu-icon2').bind('mousedown', clickMenuEvent2);
		}

		var lastEvent = false;

		function clickMenuEvent1(event) {										// funtion protect the double action (menu 1)

			if (event.type == 'mousedown' && lastEvent == 'touchstart') {		// if the logic already runs during touch event, then break
				return false;
			}

			if($('#menu-icon1').hasClass("active")) {
				$("#nav1").slideUp();
			} else {
				$("#nav1").slideDown();
			}
			$(this).toggleClass("active");

			lastEvent = event.type;												// notice the last event
		}

		function clickMenuEvent2() {											// conventional	function (menu 2)		

			if($('#menu-icon2').hasClass("active")) {
				$("#nav2").slideUp();
			} else {
				$("#nav2").slideDown();
			}
			$(this).toggleClass("active");
		}
	}

})(jQuery);